Create the branded reply identity
POST
/v1/domains/{id}/reply-identity
const url = 'https://api.fromenance.com/v1/domains/dom_01J8Z9X0Q3K4M5N6P7R8S9T0V1/reply-identity';const options = { method: 'POST', headers: { cookie: 'fromenance.session_token=<fromenance.session_token>', 'Content-Type': 'application/json' }, body: '{"subdomain":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.fromenance.com/v1/domains/dom_01J8Z9X0Q3K4M5N6P7R8S9T0V1/reply-identity \ --header 'Content-Type: application/json' \ --cookie fromenance.session_token=<fromenance.session_token> \ --data '{ "subdomain": "example" }'Creates verify.<domain> (or the given subdomain) as a Resend sending domain and returns the DKIM, SPF, and MX records to publish. Replies then come from verify@verify.<domain>.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Example
dom_01J8Z9X0Q3K4M5N6P7R8S9T0V1Request Body
Section titled “Request Body”Media typeapplication/json
object
subdomain
string
Examplegenerated
{ "subdomain": "example"}Responses
Section titled “ Responses ”Domain with reply identity records
Media typeapplication/json
object
id
required
string
domain
required
string
roles
required
Array
txt_record
required
object
name
required
string
type
required
string
value
required
string
verified_at
required
string | null
last_checked_at
required
string | null
last_check_result
required
string | null
reply_identity
required
object
resend_domain_id
required
string | null
status
required
string | null
records
required
Array<object> | null
object
record
required
string
name
required
string
type
required
string
value
required
string
priority
number
status
string
created_at
required
string
Example
{ "status": "pending", "roles": [ "trust" ], "txt_record": { "type": "TXT" }}